Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QVBoxLayout Class Reference

The QVBoxLayout class lines up widgets vertically. More...

    #include <QVBoxLayout>

Inherits QBoxLayout.

- List of all members, including inherited members
- Obsolete members

### Writable Properties

- 3 writable properties inherited from QLayout
- 1 writable property inherited from QObject

### Public Functions

- QVBoxLayout ()
- QVBoxLayout ( QWidget * parent )
- QVBoxLayout ( QLayout * parentLayout )
- ~QVBoxLayout ()

- 26 public functions inherited from QBoxLayout
- 21 public functions inherited from QLayout
- 26 public functions inherited from QObject
- 16 public functions inherited from QLayoutItem

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- 1 static public member inherited from QLayout
- 4 static public members inherited from QObject

### Protected Functions

- 1 protected function inherited from QBoxLayout
- 4 protected functions inherited from QLayout
- 7 protected functions inherited from QObject

## Detailed Description

The QVBoxLayout class lines up widgets vertically.

This class is used to construct vertical box layout objects. See QBoxLayout for more details.

The simplest use of the class is like this:

        QBoxLayout * l = new QVBoxLayout(widget);
        l->addWidget(aWidget);
        l->addWidget(anotherWidget);

See also QHBoxLayout, QGridLayout, and the Layout overview.

## Member Function Documentation

### QVBoxLayout::QVBoxLayout ()

Constructs a new vertical box. You must add it to another layout.

### QVBoxLayout::QVBoxLayout ( QWidget * parent )

Constructs a new top-level vertical box with parent parent.

### QVBoxLayout::QVBoxLayout ( QLayout * parentLayout )

Constructs a new vertical box and adds it to parentLayout.

### QVBoxLayout::~QVBoxLayout ()

Destroys this box layout.

The layout's widgets aren't destroyed.